# Class JspPropertyGroup

java.lang.Object
org.apache.tomcat.util.descriptor.web.XmlEncodingBase
org.apache.tomcat.util.descriptor.web.JspPropertyGroup

public class JspPropertyGroup extends XmlEncodingBase
Representation of a jsp-property-group element in web.xml.

## Constructor Summary

Constructors
Constructor
Description
`JspPropertyGroup()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addIncludeCoda(String includeCoda)`
`void`
`addIncludePrelude(String includePrelude)`
`void`
`addUrlPattern(String urlPattern)`
`void`
`addUrlPatternDecoded(String urlPattern)`
`String`
`getBuffer()`
`String`
`getDefaultContentType()`
`Boolean`
`getDeferredSyntax()`
`Boolean`
`getElIgnored()`
`Boolean`
`getErrorOnELNotFound()`
`Boolean`
`getErrorOnUndeclaredNamespace()`
`Collection<String>`
`getIncludeCodas()`
`Collection<String>`
`getIncludePreludes()`
`Boolean`
`getIsXml()`
`String`
`getPageEncoding()`
`Boolean`
`getScriptingInvalid()`
`Boolean`
`getTrimWhitespace()`
`Set<String>`
`getUrlPatterns()`
`void`
`setBuffer(String buffer)`
`void`
`setDefaultContentType(String defaultContentType)`
`void`
`setDeferredSyntax(String deferredSyntax)`
`void`
`setElIgnored(String elIgnored)`
`void`
`setErrorOnELNotFound(String errorOnELNotFound)`
`void`
`setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)`
`void`
`setIsXml(String isXml)`
`void`
`setPageEncoding(String pageEncoding)`
`void`
`setScriptingInvalid(String scriptingInvalid)`
`void`
`setTrimWhitespace(String trimWhitespace)`

### Methods inherited from class XmlEncodingBase

`getCharset, setCharset`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JspPropertyGroup

public JspPropertyGroup()

## Method Details

### setDeferredSyntax

public void setDeferredSyntax(String deferredSyntax)

### getDeferredSyntax

public Boolean getDeferredSyntax()

### setErrorOnELNotFound

public void setErrorOnELNotFound(String errorOnELNotFound)

### getErrorOnELNotFound

public Boolean getErrorOnELNotFound()

### setElIgnored

public void setElIgnored(String elIgnored)

### getElIgnored

public Boolean getElIgnored()

### addIncludeCoda

public void addIncludeCoda(String includeCoda)

### getIncludeCodas

public Collection<String> getIncludeCodas()

### addIncludePrelude

public void addIncludePrelude(String includePrelude)

### getIncludePreludes

public Collection<String> getIncludePreludes()

### setIsXml

public void setIsXml(String isXml)

### getIsXml

public Boolean getIsXml()

### setPageEncoding

public void setPageEncoding(String pageEncoding)

### getPageEncoding

public String getPageEncoding()

### setScriptingInvalid

public void setScriptingInvalid(String scriptingInvalid)

### getScriptingInvalid

public Boolean getScriptingInvalid()

### setTrimWhitespace

public void setTrimWhitespace(String trimWhitespace)

### getTrimWhitespace

public Boolean getTrimWhitespace()

### addUrlPattern

public void addUrlPattern(String urlPattern)

### addUrlPatternDecoded

public void addUrlPatternDecoded(String urlPattern)

### getUrlPatterns

public Set<String> getUrlPatterns()

### setDefaultContentType

public void setDefaultContentType(String defaultContentType)

### getDefaultContentType

public String getDefaultContentType()

### setBuffer

public void setBuffer(String buffer)

### getBuffer

public String getBuffer()

### setErrorOnUndeclaredNamespace

public void setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)

### getErrorOnUndeclaredNamespace

public Boolean getErrorOnUndeclaredNamespace()